org.eclipse.emf.cdo.session

## Interface CDOSessionLocksChangedEvent

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOLockChangeInfo, CDOSessionEvent, CDOTimeProvider, IEvent

      public interface CDOSessionLocksChangedEvent
      extends CDOSessionEvent, CDOLockChangeInfo

  A `session event` fired when lock-change notifications are received from a remote repository. For this event to be fired, `the lock notification mode` must either be set to ALWAYS, or it must be set to IF_REQUIRED_BY_VIEWS and at least one of this sessions' views must have `its lock-notification enablement` set to `true`.
  Since:
    4.1
  Author:
    Caspar De Groot

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

      `CDOLockChangeInfo.Operation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOView` | `getSender()` Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionEvent

      `getSource`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

      `getBranch, getLockOwner, getLockStates, getLockType, getOperation, getTimeStamp, isInvalidateAll`

- - ### Method Detail

    - #### getSender

          CDOView getSender()

      Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html